| OpenMS 2.5.0

TargetedFileConverter

Converts different spectral libraries / transition files for targeted proteomics and metabolomics analysis.

Can convert multiple formats to and from TraML (standardized transition format). The following formats are supported:

- TraML
- OpenSWATH TSV transition lists
- OpenSWATH PQP SQLite files
- SpectraST MRM transition lists
- Skyline transition lists
- Spectronaut transition lists

The command line parameters of this tool are:

    TargetedFileConverter -- Converts different transition files for targeted proteomics / metabolomics analysis.

    Full documentation: http://www.openms.de/documentation/UTILS_TargetedFileConverter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      TargetedFileConverter <options>

    This tool has algorithm parameters that are not shown here! Please check the ini file for a detailed descript

    ion or use the --helphelp option.

    Options (mandatory options marked with '*'):

      -in <file>*        Input file to convert.

                         See http://www.openms.de/current_doxygen/html/UTILS_TargetedFileConverter.html for for

                         mat of OpenSWATH transition TSV file or SpectraST MRM file. (valid formats: 'tsv', 'mrm'

                         , 'pqp', 'TraML')

      -in_type <type>    Input file type -- default: determined from file extension or content

                         (valid: 'tsv', 'mrm', 'pqp', 'TraML')

      -out <file>*       Output file (valid formats: 'tsv', 'pqp', 'TraML')

      -out_type <type>   Output file type -- default: determined from file extension or content

                         Note: that not all conversion paths work or make sense. (valid: 'tsv', 'pqp', 'TraML')

    Common UTIL options:

      -ini <file>        Use the given TOPP INI file

      -threads <n>       Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>  Writes the default configuration file

      --help             Shows options

      --helphelp         Shows all options (including advanced)

    The following configuration subsections are valid:

     - algorithm   Algorithm parameters section

    You can write an example INI file using the '-write_ini' option.

    Documentation of subsection parameters can be found in the doxygen documentation or the INIFileEditor.

    For more information, please consult the online documentation for this tool:

      - http://www.openms.de/documentation/UTILS_TargetedFileConverter.html

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+TargetedFileConverter Converts different transition files for targeted proteomics / metabolomics analysis.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'TargetedFileConverter'
in Input file to convert.
See http://www.openms.de/current_doxygen/html/UTILS_TargetedFileConverter.html for format of OpenSWATH transition TSV file or SpectraST MRM file.input file*.tsv,*.mrm,*.pqp,*.TraML
in_type input file type -- default: determined from file extension or content
tsv,mrm,pqp,TraML
out Output file output file*.tsv,*.pqp,*.TraML
out_type Output file type -- default: determined from file extension or content
Note: that not all conversion paths work or make sense.tsv,pqp,TraML
legacy_traml_id false PQP to TraML: Should legacy TraML IDs be used?true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++algorithm Algorithm parameters section
retentionTimeInterpretation iRT How to interpret the provided retention time (the retention time column can either be interpreted to be in iRT, minutes or seconds)iRT,seconds,minutes
override_group_label_check false Override an internal check that assures that all members of the same PeptideGroupLabel have the same PeptideSequence (this ensures that only different isotopic forms of the same peptide can be grouped together in the same label group). Only turn this off if you know what you are doing.true,false
force_invalid_mods false Force reading even if invalid modifications are encountered (OpenMS may not recognize the modification)true,false